Bug 384761 (CVE-2006-7225) - CVE-2006-7225 pcre miscalculation of memory requirements for malformed Posix character class
Summary: CVE-2006-7225 pcre miscalculation of memory requirements for malformed Posix ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2006-7225
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.pcre.org/changelog.txt
Whiteboard:
Depends On: 380511 380521 380531 380541 411731 413871 414271
Blocks: 380501
TreeView+ depends on / blocked
 
Reported: 2007-11-15 15:14 UTC by Tomas Hoger
Modified: 2019-09-29 12:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-11 17:26:32 UTC


Attachments (Terms of Use)
Patch agains pcre 6.4 provided by Ludwig Nussel of SUSE (1.07 KB, patch)
2007-11-15 15:16 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1059 normal SHIPPED_LIVE Important: pcre security update 2007-11-29 14:51:01 UTC
Red Hat Product Errata RHSA-2007:1068 normal SHIPPED_LIVE Important: pcre security update 2007-11-29 15:09:39 UTC

Description Tomas Hoger 2007-11-15 15:14:54 UTC
From pcre changelog, version 6.7:

18. A valid (though odd) pattern that looked like a POSIX character
    class but used an invalid character after [ (for example [[,abc,]]) caused
    pcre_compile() to give the error "Failed: internal error: code overflow" or
    in some cases to crash with a glibc free() error. This could even happen if
    the pattern terminated after [[ but there just happened to be a sequence of
    letters, a binary zero, and a closing ] in the memory that followed.

Acknowledgements:

Red Hat would like to thank Ludwig Nussel for reporting this issue.

Comment 1 Tomas Hoger 2007-11-15 15:16:21 UTC
Created attachment 259901 [details]
Patch agains pcre 6.4 provided by Ludwig Nussel of SUSE

Comment 4 Mark J. Cox 2007-11-28 10:06:55 UTC
Now public via SUSE advisory, removing embargo

Comment 9 Red Hat Product Security 2008-01-11 17:26:32 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1059.html
  http://rhn.redhat.com/errata/RHSA-2007-1068.html


Note You need to log in before you can comment on or make changes to this bug.